Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.controls.backing
Class ProxyPortletBackingContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.BackingContext
              com.bea.netuix.servlets.controls.window.backing.WindowBackingContext
                  com.bea.netuix.servlets.controls.portlet.backing.PortletBackingContext
                      com.bea.wsrp.consumer.controls.backing.ProxyPortletBackingContext

All Implemented Interfaces
  Serializable

    public class ProxyPortletBackingContext

extends PortletBackingContext

Backing context for proxy portlets.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.portlet.backing.PortletBackingContext
`CLASS_NAME`

Method Summary
`int` | `getConnectionEstablishmentTimeoutMSecs()` Returns the connection establishment timeout in milli secs.
`int` | `getConnectionTimeoutMSecs()` Returns the read timeout, in milliseconds.
`String` | `getGroupId()` Returns the group ID as specified by the producer.
`String` | `getPortletHandle()` Returns the portlet's handle.
`String` | `getPortletStateChange()` Returns the current value of the portlet state change.
`String` | `getProducerHandle()` Returns the producer handle used when creating the proxy portlet.
`static ProxyPortletBackingContext` | `getProxyPortletBackingContext(javax.servlet.http.HttpServletRequest request)` A static helper to pull the current portlet's backing context out of the request.
`boolean` | `isCacheRenderDependencies()` Returns true if the consumer can cache render dependencies.
`boolean` | `isDoesUrlTemplateProcessing()` Specifies whether the producer does URL template processing or not for this portlet.
`boolean` | `isInvokeRenderDependencies()` Returns true if the portlet has render dependencies, and the consumer is required to collect render dependencies for this portlet from the producer.
`boolean` | `isTemplatesStoredInSession()` Specifies whether the producer stores URL templates in the user's session on the producer side or not.
`boolean` | `isUserContextStoredInSession()` Returns true if the consumer stores the user's context in its session.

Methods inherited from class com.bea.netuix.servlets.controls.portlet.backing.PortletBackingContext
`fireCustomEvent, fireCustomEvent, getAsyncContent, getDisabledClassifications, getEnabledClassifications, getInstanceId, getInstanceLabel, getLabel, getLocalInstanceId, getPageBackingContext, getPortletBackingContext, getPortletPreferences, getPortletUri, getPreferences, getSharedParameterValue, getSharedParameterValues, invalidateCache, isAsyncContent, isContentOnly, isDefaultMinimized, isDeleted, isPortletRenderedByClient, isRemote, setRenderOnAjaxRequest, setSharedParameterValue, setSharedParameterValues`

Methods inherited from class com.bea.netuix.servlets.controls.window.backing.WindowBackingContext
`getCapability, getCapabilityVisible, getDefinitionId, getDefinitionLabel, getDescription, getMetaData, getMetaDatas, getOrientation, getParentPageBackingContext, getParentWindowBackingContext, getPlacementId, getPreviousWindowMode, getPreviousWindowState, getRenderedChildrenWindowBackingContexts, getTitle, getWindowMode, getWindowState, isCapable, isPacked, setCapabilityVisible, setDescription, setTitle, setupModeChangeEvent, setupModeChangeEvent, setupPageChangeEvent, setupStateChangeEvent, setupStateChangeEventFromParent`

Methods inherited from class com.bea.netuix.servlets.controls.BackingContext
`ensureCurrentLifecycleStageLegalForOperation, getChildrenBackingContexts, getParentBackingContext, getParsedProperties, getProperties, getProperty, getProperty, getSendRedirectPath, getTopParentBackingContext, isBackingPhase, isVisible, sendRedirect, setBackingPhase, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getProxyPortletBackingContext

    public static ProxyPortletBackingContext getProxyPortletBackingContext(javax.servlet.http.HttpServletRequest request)

  A static helper to pull the current portlet's backing context out of the request.

  Parameters
    `request` -
  Returns
    A reference to the currents windows backing context.

### getPortletHandle

    public String getPortletHandle()

  Returns the portlet's handle. Note that, after a portlet is customized, this handle will be different from the value used while creating a proxy portlet.

  Returns
    handle

### getProducerHandle

    public String getProducerHandle()

  Returns the producer handle used when creating the proxy portlet.

  Returns
    producer handle

### getGroupId

    public String getGroupId()

  Returns the group ID as specified by the producer.

  Returns
    group ID

### isDoesUrlTemplateProcessing

    public boolean isDoesUrlTemplateProcessing()

  Specifies whether the producer does URL template processing or not for this portlet.

  Returns
    boolean

### isTemplatesStoredInSession

    public boolean isTemplatesStoredInSession()

  Specifies whether the producer stores URL templates in the user's session on the producer side or not.

  Returns
    boolean

### getConnectionEstablishmentTimeoutMSecs

    public int getConnectionEstablishmentTimeoutMSecs()

  Returns the connection establishment timeout in milli secs. If the timeout expires before the connection can be established, the connection to the producer will be terminated.

  Returns
    connect timeout in msecs

### getConnectionTimeoutMSecs

    public int getConnectionTimeoutMSecs()

  Returns the read timeout, in milliseconds. If the timeout expires before there is data available for read, the consumer will terminate the connection.

  Returns
    read timeout in msecs

### getPortletStateChange

    public String getPortletStateChange()

  Returns the current value of the portlet state change. This enum will be used by the consumer to determine when to allow a producer to clone a portlet.

  Returns
    state change flag

### isInvokeRenderDependencies

    public boolean isInvokeRenderDependencies()

  Returns true if the portlet has render dependencies, and the consumer is required to collect render dependencies for this portlet from the producer.

  Returns
    boolean

### isCacheRenderDependencies

    public boolean isCacheRenderDependencies()

  Returns true if the consumer can cache render dependencies.

  Returns
    boolean

### isUserContextStoredInSession

    public boolean isUserContextStoredInSession()

  Returns true if the consumer stores the user's context in its session.

  Returns
    boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.